Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 9190)
@@ -284,5 +284,5 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'dom_nam  : domain initialization through namelist read'
+         WRITE(numout,*) 'dom_nam : domain initialization through namelist read'
          WRITE(numout,*) '~~~~~~~ '
       ENDIF
@@ -297,5 +297,5 @@
       !
       IF(lwp) THEN                  ! control print
-         WRITE(numout,*) '   Namelist : namrun'
+         WRITE(numout,*) '   Namelist : namrun   ---   run parameters'
          WRITE(numout,*) '      job number                      nn_no           = ', nn_no
          WRITE(numout,*) '      experiment name for output      cn_exp          = ', TRIM( cn_exp           )
@@ -359,14 +359,15 @@
       IF( Agrif_Root() ) THEN
 #endif
+      IF(lwp) WRITE(numout,*)
       SELECT CASE ( nleapy )        ! Choose calendar for IOIPSL
       CASE (  1 ) 
          CALL ioconf_calendar('gregorian')
-         IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "gregorian", i.e. leap year'
+         IF(lwp) WRITE(numout,*) '   ==>>>   The IOIPSL calendar is "gregorian", i.e. leap year'
       CASE (  0 )
          CALL ioconf_calendar('noleap')
-         IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "noleap", i.e. no leap year'
+         IF(lwp) WRITE(numout,*) '   ==>>>   The IOIPSL calendar is "noleap", i.e. no leap year'
       CASE ( 30 )
          CALL ioconf_calendar('360d')
-         IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "360d", i.e. 360 days in a year'
+         IF(lwp) WRITE(numout,*) '   ==>>>   The IOIPSL calendar is "360d", i.e. 360 days in a year'
       END SELECT
 #if defined key_agrif
@@ -512,7 +513,7 @@
          CALL iom_get( inum, 'ORCA_index', zorca_res )   ;   kk_cfg = INT( zorca_res )
          !
-         WRITE(ldtxt(ii),*) '       '                                                     ;   ii = ii+1
-         WRITE(ldtxt(ii),*) '       ==>>>   ORCA configuration '                          ;   ii = ii+1
-         WRITE(ldtxt(ii),*) '       '                                                     ;   ii = ii+1
+         WRITE(ldtxt(ii),*) '   .'                                                     ;   ii = ii+1
+         WRITE(ldtxt(ii),*) '   ==>>>   ORCA configuration '                           ;   ii = ii+1
+         WRITE(ldtxt(ii),*) '   .'                                                     ;   ii = ii+1
          !
       ELSE                                !- cd_cfg & k_cfg are not used
@@ -524,6 +525,6 @@
             CALL iom_getatt( inum, 'cn_cfg', cd_cfg )  ! returns   !  if not found
             CALL iom_getatt( inum, 'nn_cfg', kk_cfg )  ! returns -999 if not found
-            IF( TRIM(cd_cfg) .EQ. '!') cd_cfg = 'UNKNOWN'
-            IF( kk_cfg .EQ. -999     ) kk_cfg = -9999999
+            IF( TRIM(cd_cfg) == '!') cd_cfg = 'UNKNOWN'
+            IF( kk_cfg == -999     ) kk_cfg = -9999999
          ENDIF
          !
@@ -536,9 +537,9 @@
       CALL iom_close( inum )
       !
-      WRITE(ldtxt(ii),*) '   cn_cfg = ', TRIM(cd_cfg), '   nn_cfg = ', kk_cfg             ;   ii = ii+1
-      WRITE(ldtxt(ii),*) '   jpiglo = ', kpi                                              ;   ii = ii+1
-      WRITE(ldtxt(ii),*) '   jpjglo = ', kpj                                              ;   ii = ii+1
-      WRITE(ldtxt(ii),*) '   jpkglo = ', kpk                                              ;   ii = ii+1
-      WRITE(ldtxt(ii),*) '   type of global domain lateral boundary   jperio = ', kperio  ;   ii = ii+1
+      WRITE(ldtxt(ii),*) '      cn_cfg = ', TRIM(cd_cfg), '   nn_cfg = ', kk_cfg             ;   ii = ii+1
+      WRITE(ldtxt(ii),*) '      jpiglo = ', kpi                                              ;   ii = ii+1
+      WRITE(ldtxt(ii),*) '      jpjglo = ', kpj                                              ;   ii = ii+1
+      WRITE(ldtxt(ii),*) '      jpkglo = ', kpk                                              ;   ii = ii+1
+      WRITE(ldtxt(ii),*) '      type of global domain lateral boundary   jperio = ', kperio  ;   ii = ii+1
       !        
    END SUBROUTINE domain_cfg
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 9190)
@@ -131,10 +131,10 @@
          WRITE(numout,*)
          SELECT CASE( n_dynadv )
-         CASE( np_LIN_dyn )   ;   WRITE(numout,*) '      ===>>   linear dynamics : no momentum advection used'
-         CASE( np_VEC_c2  )   ;   WRITE(numout,*) '      ===>>   vector form : keg + zad + vor is used' 
+         CASE( np_LIN_dyn )   ;   WRITE(numout,*) '   ==>>>   linear dynamics : no momentum advection used'
+         CASE( np_VEC_c2  )   ;   WRITE(numout,*) '   ==>>>   vector form : keg + zad + vor is used' 
             IF( nn_dynkeg == nkeg_C2  )   WRITE(numout,*) '              with Centered standard keg scheme'
             IF( nn_dynkeg == nkeg_HW  )   WRITE(numout,*) '              with Hollingsworth keg scheme'
-         CASE( np_FLX_c2  )   ;   WRITE(numout,*) '      ===>>   flux form   : 2nd order scheme is used'
-         CASE( np_FLX_ubs )   ;   WRITE(numout,*) '      ===>>   flux form   : UBS       scheme is used'
+         CASE( np_FLX_c2  )   ;   WRITE(numout,*) '   ==>>>   flux form   : 2nd order scheme is used'
+         CASE( np_FLX_ubs )   ;   WRITE(numout,*) '   ==>>>   flux form   : UBS       scheme is used'
          END SELECT
       ENDIF
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 9190)
@@ -181,8 +181,8 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         IF( nldf == np_no_ldf )   WRITE(numout,*) '      ===>>   NO lateral viscosity'
-         IF( nldf == np_lap    )   WRITE(numout,*) '      ===>>   iso-level laplacian operator'
-         IF( nldf == np_lap_i  )   WRITE(numout,*) '      ===>>   rotated laplacian operator with iso-level background'
-         IF( nldf == np_blp    )   WRITE(numout,*) '      ===>>   iso-level bi-laplacian operator'
+         IF( nldf == np_no_ldf )   WRITE(numout,*) '   ==>>>   NO lateral viscosity'
+         IF( nldf == np_lap    )   WRITE(numout,*) '   ==>>>   iso-level laplacian operator'
+         IF( nldf == np_lap_i  )   WRITE(numout,*) '   ==>>>   rotated laplacian operator with iso-level background'
+         IF( nldf == np_blp    )   WRITE(numout,*) '   ==>>>   iso-level bi-laplacian operator'
       ENDIF
       !
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 9190)
@@ -226,7 +226,7 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         IF( nspg == np_EXP )   WRITE(numout,*) '      ===>>   explicit free surface'
-         IF( nspg == np_TS  )   WRITE(numout,*) '      ===>>   free surface with time splitting scheme'
-         IF( nspg == np_NO  )   WRITE(numout,*) '      ===>>   No surface surface pressure gradient trend in momentum Eqs.'
+         IF( nspg == np_EXP )   WRITE(numout,*) '   ==>>>   explicit free surface'
+         IF( nspg == np_TS  )   WRITE(numout,*) '   ==>>>   free surface with time splitting scheme'
+         IF( nspg == np_NO  )   WRITE(numout,*) '   ==>>>   No surface surface pressure gradient trend in momentum Eqs.'
       ENDIF
       !
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 9190)
@@ -611,13 +611,13 @@
       SELECT CASE( n_dynadv )
       CASE( np_LIN_dyn )
-         IF(lwp) WRITE(numout,*) '      ===>>   linear dynamics : total vorticity = Coriolis'
+         IF(lwp) WRITE(numout,*) '   ==>>>   linear dynamics : total vorticity = Coriolis'
          nrvm = np_COR        ! planetary vorticity
          ntot = np_COR        !     -         -
       CASE( np_VEC_c2  )
-         IF(lwp) WRITE(numout,*) '      ===>>   vector form dynamics : total vorticity = Coriolis + relative vorticity' 
+         IF(lwp) WRITE(numout,*) '   ==>>>   vector form dynamics : total vorticity = Coriolis + relative vorticity' 
          nrvm = np_RVO        ! relative vorticity
          ntot = np_CRV        ! relative + planetary vorticity         
       CASE( np_FLX_c2 , np_FLX_ubs  )
-         IF(lwp) WRITE(numout,*) '      ===>>   flux form dynamics : total vorticity = Coriolis + metric term'
+         IF(lwp) WRITE(numout,*) '   ==>>>   flux form dynamics : total vorticity = Coriolis + metric term'
          nrvm = np_MET        ! metric term
          ntot = np_CME        ! Coriolis + metric term
@@ -627,8 +627,8 @@
          WRITE(numout,*)
          SELECT CASE( nvor_scheme )
-         CASE( np_ENE )   ;   WRITE(numout,*) '      ===>>   energy conserving scheme'
-         CASE( np_ENS )   ;   WRITE(numout,*) '      ===>>   enstrophy conserving scheme'
-         CASE( np_MIX )   ;   WRITE(numout,*) '      ===>>   mixed enstrophy/energy conserving scheme'
-         CASE( np_EEN )   ;   WRITE(numout,*) '      ===>>   energy and enstrophy conserving scheme'
+         CASE( np_ENE )   ;   WRITE(numout,*) '   ==>>>   energy conserving scheme'
+         CASE( np_ENS )   ;   WRITE(numout,*) '   ==>>>   enstrophy conserving scheme'
+         CASE( np_MIX )   ;   WRITE(numout,*) '   ==>>>   mixed enstrophy/energy conserving scheme'
+         CASE( np_EEN )   ;   WRITE(numout,*) '   ==>>>   energy and enstrophy conserving scheme'
          END SELECT         
       ENDIF
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbclv.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbclv.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbclv.F90	(revision 9190)
@@ -1,4 +1,3 @@
 MODULE icbclv
-
    !!======================================================================
    !!                       ***  MODULE  icbclv  ***
@@ -11,4 +10,5 @@
    !!            -    !  2011-05  (Alderson)       budgets into separate module
    !!----------------------------------------------------------------------
+
    !!----------------------------------------------------------------------
    !!   icb_clv_flx   : transfer input flux of ice into iceberg classes
@@ -45,10 +45,10 @@
       !!
       !!----------------------------------------------------------------------
-      INTEGER, INTENT(in)             :: kt
+      INTEGER, INTENT(in) ::   kt
       !
-      REAL(wp)                        :: zcalving_used, zdist, zfact
-      INTEGER                         :: jn, ji, jj                    ! loop counters
-      INTEGER                         :: imx                           ! temporary integer for max berg class
-      LOGICAL, SAVE                   :: ll_first_call = .TRUE.
+      REAL(wp)      ::   zcalving_used, zdist, zfact
+      INTEGER       ::   jn, ji, jj                    ! loop counters
+      INTEGER       ::   imx                           ! temporary integer for max berg class
+      LOGICAL, SAVE ::   ll_first_call = .TRUE.
       !!----------------------------------------------------------------------
       !
@@ -70,8 +70,8 @@
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
-               IF( berg_grid%calving(ji,jj) /= 0._wp )                                  &    ! Need units of J
-                  berg_grid%stored_heat(ji,jj) = SUM( berg_grid%stored_ice(ji,jj,:) ) *         &  ! initial stored ice in kg
-                                         berg_grid%calving_hflx(ji,jj) * e1e2t(ji,jj) /   &  ! J/s/m2 x m^2 = J/s
-                                         berg_grid%calving(ji,jj)                            ! /calving in kg/s
+               IF( berg_grid%calving(ji,jj) /= 0._wp )                                          &    ! Need units of J
+                  berg_grid%stored_heat(ji,jj) = SUM( berg_grid%stored_ice(ji,jj,:) ) *         &    ! initial stored ice in kg
+                     &                   berg_grid%calving_hflx(ji,jj) * e1e2t(ji,jj) / berg_grid%calving(ji,jj)   ! J/s/m2 x m^2 
+                     !                                                                                             ! = J/s/calving in kg/s
             END DO
          END DO
@@ -80,11 +80,11 @@
       ! assume that all calving flux must be distributed even if distribution array does not sum
       ! to one - this may not be what is intended, but it's what you've got
-      DO jj = 1,jpj
-         DO ji = 1,jpi
+      DO jj = 1, jpj
+         DO ji = 1, jpi
             imx = berg_grid%maxclass(ji,jj)
             zdist = SUM( rn_distribution(1:nclasses) ) / SUM( rn_distribution(1:imx) )
             DO jn = 1, imx
-               berg_grid%stored_ice(ji,jj,jn) = berg_grid%stored_ice(ji,jj,jn) + &
-                                          berg_dt * berg_grid%calving(ji,jj) * rn_distribution(jn) * zdist
+               berg_grid%stored_ice(ji,jj,jn) = berg_grid%stored_ice(ji,jj,jn)     &
+                  &                           + berg_dt * berg_grid%calving(ji,jj) * rn_distribution(jn) * zdist
             END DO
          END DO
@@ -98,4 +98,5 @@
       !
    END SUBROUTINE icb_clv_flx
+
 
    SUBROUTINE icb_clv()
@@ -171,5 +172,5 @@
       END DO
       !
-      DO jn = 1,nclasses
+      DO jn = 1, nclasses
          CALL lbc_lnk( berg_grid%stored_ice(:,:,jn), 'T', 1._wp )
       END DO
